org.eclipse.graphiti.mm.pictograms.impl

## Class AnchorImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.impl.PropertyContainerImpl
        - - org.eclipse.graphiti.mm.impl.GraphicsAlgorithmContainerImpl
          - - org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl
            - - org.eclipse.graphiti.mm.pictograms.impl.AnchorImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GraphicsAlgorithmContainer, Anchor, PictogramElement, PropertyContainer

Direct Known Subclasses:
  AdvancedAnchorImpl, ChopboxAnchorImpl

    public abstract class AnchorImpl
    extends PictogramElementImpl
    implements Anchor

An implementation of the model object 'Anchor'.

The following features are implemented:

- `Parent`
- `Outgoing Connections`
- `Incoming Connections`
- `Referenced Graphics Algorithm`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Instance Methods Concrete Methods
`AnchorContainer` `basicGetParent()`
`GraphicsAlgorithm` `basicGetReferencedGraphicsAlgorithm()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetParent(AnchorContainer newParent, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<Connection>` `getIncomingConnections()`
`org.eclipse.emf.common.util.EList<Connection>` `getOutgoingConnections()`
`AnchorContainer` `getParent()`
`GraphicsAlgorithm` `getReferencedGraphicsAlgorithm()`
`void` `setParent(AnchorContainer newParent)`
`void` `setReferencedGraphicsAlgorithm(GraphicsAlgorithm newReferencedGraphicsAlgorithm)`

### Methods inherited from class org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl

`basicGetGraphicsAlgorithm, basicGetLink, basicSetGraphicsAlgorithm, basicSetLink, getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible, toString`

### Methods inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`getProperties`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### getParent

    public AnchorContainer getParent()

Specified by:
  `getParent` in interface `Anchor`
Returns:
  the value of the 'Parent' container reference.
See Also:
  `Anchor.setParent(AnchorContainer)`, `PictogramsPackage.getAnchor_Parent()`, `AnchorContainer.getAnchors()`

#### basicGetParent

    public AnchorContainer basicGetParent()

#### basicSetParent

    public org.eclipse.emf.common.notify.NotificationChain basicSetParent(AnchorContainer newParent,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

#### setParent

    public void setParent(AnchorContainer newParent)

Specified by:
  `setParent` in interface `Anchor`
Parameters:
  `newParent` - the new value of the 'Parent' container reference.
See Also:
  `Anchor.getParent()`

#### getOutgoingConnections

    public org.eclipse.emf.common.util.EList<Connection> getOutgoingConnections()

Specified by:
  `getOutgoingConnections` in interface `Anchor`
Returns:
  the value of the 'Outgoing Connections' reference list.
See Also:
  `PictogramsPackage.getAnchor_OutgoingConnections()`, `Connection.getStart()`

#### getIncomingConnections

    public org.eclipse.emf.common.util.EList<Connection> getIncomingConnections()

Specified by:
  `getIncomingConnections` in interface `Anchor`
Returns:
  the value of the 'Incoming Connections' reference list.
See Also:
  `PictogramsPackage.getAnchor_IncomingConnections()`, `Connection.getEnd()`

#### getReferencedGraphicsAlgorithm

    public GraphicsAlgorithm getReferencedGraphicsAlgorithm()

Specified by:
  `getReferencedGraphicsAlgorithm` in interface `Anchor`
Returns:
  the value of the 'Referenced Graphics Algorithm' reference.
See Also:
  `Anchor.setReferencedGraphicsAlgorithm(GraphicsAlgorithm)`, `PictogramsPackage.getAnchor_ReferencedGraphicsAlgorithm()`

#### basicGetReferencedGraphicsAlgorithm

    public GraphicsAlgorithm basicGetReferencedGraphicsAlgorithm()

#### setReferencedGraphicsAlgorithm

    public void setReferencedGraphicsAlgorithm(GraphicsAlgorithm newReferencedGraphicsAlgorithm)

Specified by:
  `setReferencedGraphicsAlgorithm` in interface `Anchor`
Parameters:
  `newReferencedGraphicsAlgorithm` - the new value of the 'Referenced Graphics Algorithm' reference.
See Also:
  `Anchor.getReferencedGraphicsAlgorithm()`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `PictogramElementImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `PictogramElementImpl`

#### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `PictogramElementImpl`

#### eSet

    public void eSet(int featureID,
                     Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `PictogramElementImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `PictogramElementImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `PictogramElementImpl`